package com.qmth.jkserver.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

//import java.io.Serializable;
//
//import org.springframework.data.mongodb.core.mapping.Field;
//
///**
// * 异常处理的考生
// * @author tianjun
// *
// * TODO 待关联
// */
//public class ExamAbort implements Serializable {
//
//	/**
//	 *
//	 */
//	private static final long serialVersionUID = -1150568743422682876L;
//
//	//异常原因
//	@Field("reason")
//	private String reason;
//
//	//异常处理时间
//	@Field("time")
//	private String time;
//
//	//备注
//	@Field("remark")
//	private String remark;
//
//	public String getRemark() {
//		return remark;
//	}
//
//	public void setRemark(String remark) {
//		this.remark = remark;
//	}
//
//	/**
//	 * @return the time
//	 */
//	public String getTime() {
//		return time;
//	}
//
//	/**
//	 * @param time the time to set
//	 */
//	public void setTime(String time) {
//		this.time = time;
//	}
//
//	/**
//	 * @return the reason
//	 */
//	public String getReason() {
//		return reason;
//	}
//
//	/**
//	 * @param reason the reason to set
//	 */
//	public void setReason(String reason) {
//		this.reason = reason;
//	}
//}
/**
 * <p>
 * 异常处理的考生
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@ApiModel(value="JkExamAbort对象", description="异常处理的考生")
@TableName("jk_exam_abort")
public class ExamAbort implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "异常原因")
    private String reason;

    @ApiModelProperty(value = "异常处理时间")
    private Long time;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "考生答案id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examStudentAnswerId;

    public Long getExamStudentAnswerId() {
        return examStudentAnswerId;
    }

    public void setExamStudentAnswerId(Long examStudentAnswerId) {
        this.examStudentAnswerId = examStudentAnswerId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}